ConcatFilter (Apache Ant API)

Package org.apache.tools.ant.filters

## Class ConcatFilter

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.apache.tools.ant.filters.BaseFilterReader
      - - org.apache.tools.ant.filters.BaseParamFilterReader
        - - org.apache.tools.ant.filters.ConcatFilter

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `java.lang.Readable`, `ChainableReader`, `Parameterizable`

      public final class ConcatFilter
      extends BaseParamFilterReader
      implements ChainableReader

  Concats a file before and/or after the file.

  Example:

       <copy todir="build">
           <fileset dir="src" includes="*.java"/>
           <filterchain>
               <concatfilter prepend="apache-license-java.txt"/>
           </filterchain>
       </copy>

  Copies all java sources from src to build and adds the content of apache-license-java.txt add the beginning of each file.

  Since:
    1.6
  Version:
    2003-09-23

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterReader

      `in`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConcatFilter()` | Constructor for "dummy" instances.
    `ConcatFilter​(java.io.Reader in)` | Creates a new filtered reader.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.Reader` | `chain​(java.io.Reader rdr)` | Creates a new ConcatReader using the passed in Reader for instantiation.
    `java.io.File` | `getAppend()` | Returns append attribute.
    `java.io.File` | `getPrepend()` | Returns prepend attribute.
    `int` | `read()` | Returns the next character in the filtered stream.
    `void` | `setAppend​(java.io.File append)` | Sets append attribute.
    `void` | `setPrepend​(java.io.File prepend)` | Sets prepend attribute.

    - ### Methods inherited from class org.apache.tools.ant.filters.BaseParamFilterReader

      `getParameters, setParameters`

    - ### Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader

      `getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

    - ### Methods inherited from class java.io.FilterReader

      `close, mark, markSupported, ready, reset`

    - ### Methods inherited from class java.io.Reader

      `nullReader, read, read, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcatFilter

          public ConcatFilter()

      Constructor for "dummy" instances.
      See Also:
        `BaseFilterReader()`

    - #### ConcatFilter

          public ConcatFilter​(java.io.Reader in)

      Creates a new filtered reader.
      Parameters:
        `in` - A Reader object providing the underlying stream. Must not be `null`.

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Returns the next character in the filtered stream. If the desired number of lines have already been read, the resulting stream is effectively at an end. Otherwise, the next character from the underlying stream is read and returned.
      Overrides:
        `read` in class `java.io.FilterReader`
      Returns:
        the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
      Throws:
        `java.io.IOException` - if the underlying stream throws an IOException during reading

    - #### setPrepend

          public void setPrepend​(java.io.File prepend)

      Sets prepend attribute.
      Parameters:
        `prepend` - new value

    - #### getPrepend

          public java.io.File getPrepend()

      Returns prepend attribute.
      Returns:
        prepend attribute

    - #### setAppend

          public void setAppend​(java.io.File append)

      Sets append attribute.
      Parameters:
        `append` - new value

    - #### getAppend

          public java.io.File getAppend()

      Returns append attribute.
      Returns:
        append attribute

    - #### chain

          public java.io.Reader chain​(java.io.Reader rdr)

      Creates a new ConcatReader using the passed in Reader for instantiation.
      Specified by:
        `chain` in interface `ChainableReader`
      Parameters:
        `rdr` - A Reader object providing the underlying stream. Must not be `null`.
      Returns:
        a new filter based on this configuration, but filtering the specified reader